Bug 962183 - [abrt] livecd-tools-19.2-2.fc19: yumRepo.py:554:check:RepoError: Cannot find a valid baseurl for repo: fedora
[abrt] livecd-tools-19.2-2.fc19: yumRepo.py:554:check:RepoError: Cannot find ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
abrt_hash:9a8aa1205aad775a0de0e635229...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 07:34 EDT by Nikola
Modified: 2013-12-18 16:11 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 12:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.73 KB, text/plain)
2013-05-12 07:34 EDT, Nikola
no flags Details
File: core_backtrace (3.03 KB, text/plain)
2013-05-12 07:34 EDT, Nikola
no flags Details
File: dso_list (60 bytes, text/plain)
2013-05-12 07:34 EDT, Nikola
no flags Details
File: environ (3.06 KB, text/plain)
2013-05-12 07:35 EDT, Nikola
no flags Details

  None (edit)
Description Nikola 2013-05-12 07:34:19 EDT
Version-Release number of selected component:
livecd-tools-19.2-2.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python -tt /usr/bin/livecd-creator --fslabel=Fc19X64 --config=/home/guest/live/ks/fedora-livecd-desktop-ru_RU.ks --cache=/home/guest/live/repo --tmpdir=/home/guest/live/tmp
executable:     /usr/bin/livecd-creator
kernel:         3.9.1-301.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
yumRepo.py:554:check:RepoError: Cannot find a valid baseurl for repo: fedora

Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 237, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 218, in main
    creator.install()
  File "/usr/lib/python2.7/site-packages/imgcreate/creator.py", line 641, in install
    ayum.setup(yum_conf, self._instroot)
  File "/usr/lib/python2.7/site-packages/imgcreate/yuminst.py", line 104, in setup
    self.doTsSetup()
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 129, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 137, in _getTs
    if not remove_only and self._tsInfo.pkgSack is None:
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 140, in <lambda>
    pkgSack = property(fget=lambda self: self._getPkgSack(),
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 137, in _getPkgSack
    self._pkgSack = self._pkgSackCtor()
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 76, in __call__
    return self.ayum.pkgSack
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 997, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 763, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 364, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 224, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 316, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1475, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1661, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1657, in _getRepoXML
    self._loadRepoXML(text=self.ui_id)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1648, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1622, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1447, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1225, in _getFileRepoXML
    size=102400) # setting max size as 100K
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1007, in _getFile
    result = self.grab.urlgrab(misc.to_utf8(relative), local,
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 685, in <lambda>
    grab = property(lambda self: self._getgrab())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 680, in _getgrab
    self._setupGrab()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 627, in _setupGrab
    urls = self.urls
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 865, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 862, in _geturls
    self._baseurlSetup()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 828, in _baseurlSetup
    self.check()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 554, in check
    'Cannot find a valid baseurl for repo: %s' % self.ui_id
RepoError: Cannot find a valid baseurl for repo: fedora

Local variables in innermost frame:
self: <yum.yumRepo.YumRepository object at 0x17fe7d0>
Comment 1 Nikola 2013-05-12 07:34:54 EDT
Created attachment 746854 [details]
File: backtrace
Comment 2 Nikola 2013-05-12 07:34:56 EDT
Created attachment 746855 [details]
File: core_backtrace
Comment 3 Nikola 2013-05-12 07:34:59 EDT
Created attachment 746856 [details]
File: dso_list
Comment 4 Nikola 2013-05-12 07:35:01 EDT
Created attachment 746857 [details]
File: environ
Comment 5 Brian Lane 2013-05-14 12:41:39 EDT
Something is probably wrong with the url in your kickstart.
Comment 6 satellitgo 2013-12-15 16:04:42 EST
f20 gnome3.10.2 livecd-tools building a remix reached this error
Comment 7 James 2013-12-18 14:21:21 EST
Testing on a "clean" fedora-20 system and one of the shipped spins

livecd-creator --config=/usr/share/spin-kickstarts/fedora-live-base.ks  --fslabel=test  --tmpdir=/var/tmp/x64  --verbose  >>Build-test.txt 2>&1


Produces this same error.
ail Build-test.txt --lines 10
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 871, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 868, in _geturls
    self._baseurlSetup()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 834, in _baseurlSetup
    self.check()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 554, in check
    'Cannot find a valid baseurl for repo: %s' % self.ui_id
yum.Errors.RepoError: Cannot find a valid baseurl for repo: fedora


Still a problem Bug, or not.
Comment 8 M. Edward (Ed) Borasky 2013-12-18 15:19:59 EST
Sigh - getting this here too.(In reply to James from comment #7)
> Testing on a "clean" fedora-20 system and one of the shipped spins
> 
> livecd-creator --config=/usr/share/spin-kickstarts/fedora-live-base.ks 
> --fslabel=test  --tmpdir=/var/tmp/x64  --verbose  >>Build-test.txt 2>&1
> 
> 
> Produces this same error.
> ail Build-test.txt --lines 10
>   File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 871, in
> <lambda>
>     urls = property(fget=lambda self: self._geturls(),
>   File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 868, in
> _geturls
>     self._baseurlSetup()
>   File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 834, in
> _baseurlSetup
>     self.check()
>   File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 554, in check
>     'Cannot find a valid baseurl for repo: %s' % self.ui_id
> yum.Errors.RepoError: Cannot find a valid baseurl for repo: fedora
> 
> 
> Still a problem Bug, or not.

Sigh - getting this here as well. Is there a workaround? I had some similar thinks happen when F20 was in beta and downgrading yum made them go away.
Comment 9 M. Edward (Ed) Borasky 2013-12-18 15:28:11 EST
Yup - downgrading yum makes it go away here. Before:

/usr/lib/python2.7/site-packages/pykickstart/commands/partition.py:309: UserWarning: A partition with the mountpoint / has already been defined.
  warnings.warn(_("A partition with the mountpoint %s has already been defined.") % pd.mountpoint)
['/sbin/mkfs.ext4', '-F', '-L', '_CompJournoStick20-x86_64', '-m', '1', '-b', '4096', '/dev/loop0']
lazy umount succeeded on /home/Projects/CompJournoStick/2MakeLiveISOImage/tmpdir/imgcreate-Fspg_l/install_root//var/cache/yum
Traceback (most recent call last):
  File "/bin/livecd-creator", line 237, in <module>
    sys.exit(main())
  File "/bin/livecd-creator", line 218, in main
    creator.install()
  File "/usr/lib/python2.7/site-packages/imgcreate/creator.py", line 642, in install
    ayum.setup(yum_conf, self._instroot)
  File "/usr/lib/python2.7/site-packages/imgcreate/yuminst.py", line 105, in setup
    self.doTsSetup()
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 129, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 137, in _getTs
    if not remove_only and self._tsInfo.pkgSack is None:
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 140, in <lambda>
    pkgSack = property(fget=lambda self: self._getPkgSack(),
  File "/usr/lib/python2.7/site-packages/yum/transactioninfo.py", line 137, in _getPkgSack
    self._pkgSack = self._pkgSackCtor()
  File "/usr/lib/python2.7/site-packages/yum/depsolve.py", line 76, in __call__
    return self.ayum.pkgSack
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1071, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 776, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 383, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 224, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 316, in _check_db_version
    return repo._check_db_version(mdtype)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1484, in _check_db_version
    repoXML = self.repoXML
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1670, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1666, in _getRepoXML
    self._loadRepoXML(text=self.ui_id)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1657, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1631, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1456, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1234, in _getFileRepoXML
    size=102400) # setting max size as 100K
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1014, in _getFile
    result = self.grab.urlgrab(misc.to_utf8(relative), local,
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 694, in <lambda>
    grab = property(lambda self: self._getgrab())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 689, in _getgrab
    self._setupGrab()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 627, in _setupGrab
    urls = self.urls
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 871, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 868, in _geturls
    self._baseurlSetup()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 834, in _baseurlSetup
    self.check()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 554, in check
    'Cannot find a valid baseurl for repo: %s' % self.ui_id
yum.Errors.RepoError: Cannot find a valid baseurl for repo: fedora
------------------------------------------------------------------------------


Downgrade yum:
$ sudo yum downgrade yum
Loaded plugins: fastestmirror, langpacks, refresh-packagekit
adobe-linux-x86_64                                       |  951 B     00:00     
fedora/20/x86_64/metalink                                |  17 kB     00:00     
opt_RStudioRepo                                          | 2.9 kB     00:00     
updates/20/x86_64/metalink                               |  16 kB     00:00     
Loading mirror speeds from cached hostfile
 * fedora: mirrors.usc.edu
 * updates: mirrors.usc.edu
Resolving Dependencies
--> Running transaction check
---> Package yum.noarch 0:3.4.3-106.fc20 will be a downgrade
---> Package yum.noarch 0:3.4.3-122.fc20 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package       Arch             Version                  Repository        Size
================================================================================
Downgrading:
 yum           noarch           3.4.3-106.fc20           fedora           1.2 M

Transaction Summary
================================================================================
Downgrade  1 Package

Total download size: 1.2 M
Is this ok [y/d/N]: y
Downloading packages:
yum-3.4.3-106.fc20.noarch.rpm                              | 1.2 MB   00:02     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : yum-3.4.3-106.fc20.noarch                                    1/2 
  Cleanup    : yum-3.4.3-122.fc20.noarch                                    2/2 
  Verifying  : yum-3.4.3-106.fc20.noarch                                    1/2 
  Verifying  : yum-3.4.3-122.fc20.noarch                                    2/2 

Removed:
  yum.noarch 0:3.4.3-122.fc20                                                   

Installed:
  yum.noarch 0:3.4.3-106.fc20                                                   

Complete!
-----------------------------------------------------------------------------


After:
/usr/lib/python2.7/site-packages/pykickstart/commands/partition.py:309: UserWarning: A partition with the mountpoint / has already been defined.
  warnings.warn(_("A partition with the mountpoint %s has already been defined.") % pd.mountpoint)
-----------------------------------------------------------------------------

I guess I should go search bugs against yum.
Comment 10 Bruno Wolff III 2013-12-18 16:11:16 EST
It's not a yum bug. It's really a python-imgcreate bug. Though it appears to have been triggered by a change in a library used to get the version of a provides. Also not versioning redhat-release in fedora-release was a contributing factor. For now use the --releasever option.

Note You need to log in before you can comment on or make changes to this bug.